from source.behaviors import roles
from source.managers import Manager


class RoleManager:
    def __init__(self, manager: "Manager"):
        self.manager = manager

        # the currently used role
        self.current: roles.base.BaseRole = roles.UndefinedRole()

    def handle(self) -> None:
        """
        Run the role
        """

        self.current.handle(self.manager)

    def loop(self) -> None:
        """
        Handle forever
        """

        while True:
            self.handle()
