import msgpack

from source.packets import base


class DiscoveryPacket(base.BasePacket):
    """
    Represent a packet used to discover new devices in the network.
    """

    def __init__(self):
        super().__init__()

    def __repr__(self) -> str:
        return f"<{self.__class__.__name__}>"

    def pack(self) -> bytes:
        return msgpack.packb(())

    @classmethod
    def unpack(cls, data: bytes):
        return cls()
